<div class="w-auto h-auto">

    <p-card class="pb-0">
        
      <div class="grid">
        <div class="col-7 md:col-12 lg:col-7">
          <div class="flex flex-row flex-wrap">
            <div class="flex align-items-center justify-content-center m-2 mt-0">
              <p-tag><i class="fab fa-angellist align-items-center" style="font-size: 2rem;"></i>
                <p class="text-sm align-items-center m-2 font-bold"> Evaluate</p>
              </p-tag>
            </div>
            <div class="flex align-items-center justify-content-center m-2">
              <mat-form-field
                color="accent"
                class="example-form-field"
                appearance="outline">
                <mat-label>วันเริ่มต้น</mat-label>
                <input
                  matInput
                  [matDatepicker]="picker1"
                  [(ngModel)]="sdate"
                  (click)="picker1.open()"
                  (ngModelChange)="onDateSelected()"
                  />
                <mat-datepicker-toggle
                  matSuffix
                  [for]="picker1"></mat-datepicker-toggle>
                <mat-datepicker #picker1></mat-datepicker>
              </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2">
              <mat-form-field
                color="accent"
                class="example-form-field"
                appearance="outline">
                <mat-label>วันสิ้นสุด</mat-label>
                <input
                  matInput
                  [matDatepicker]="picker2"
                  [(ngModel)]="edate"
                  (click)="picker2.open()"
                  (ngModelChange)="onDateSelected()"
                  />
                <mat-datepicker-toggle
                  matSuffix
                  [for]="picker2"></mat-datepicker-toggle>
                <mat-datepicker #picker2></mat-datepicker>
              </mat-form-field>
            </div>
            <div class="flex align-items-center justify-content-center m-2 mt-0">
              <button
                pButton
                type="button"
                [disabled]="!validateForm"
                class="button-success"
                (click)="onSearch()" icon="pi pi-search" label="ค้นหา">
              </button>
            </div>
          </div>
        </div>
        <div class="col-5 md:col-12 lg:col-5 flex justify-content-end">
          <p-button label="ผลการประเมินปลายทาง" icon="pi pi-filter" styleClass="p-button-success mr-2" (click)="onSearch()"></p-button>
          <p-button label="Refer In" icon="fas fa-wheelchair" badge="{{referin_qty}}" styleClass="mr-2"></p-button>        
  
          <p-button label="ประเมินแล้ว" icon="pi pi-check-circle" styleClass="p-button-help mr-2" badge="{{result}}" (click)="showResult()"></p-button>
          <p-button label="ยังไม่ประเมิน" icon="pi pi-minus-circle" styleClass="p-button-warning mr-2" badge="{{total_result}}"></p-button>
  
        </div>
      </div>
  
  
  
      <!-- <div class="flex">
        <div class="flex-1 flex align-items-center justify-content-center bg-yellow-500 font-bold text-white m-2 px-5 py-3 border-round box shadow-5 m-3">จำนวน REFER IN [ {{referin_qty}} ]</div>
        <div class="flex-1 flex align-items-center justify-content-center bg-green-500 font-bold text-white m-2 px-5 py-3 border-round box shadow-5 m-3" (click)="showResult()"><u>ประเมินแล้ว [ {{result}} ]</u></div>
        <div class="flex-1 flex align-items-center justify-content-center bg-indigo-500 font-bold text-white m-2 px-5 py-3 border-round box shadow-5 m-3">ยังไม่ประเมิน [ {{total_result}} ]</div>
      </div> -->
      <div class="table-header">
        <div class="grid">
          <div class="col">
            <div class="flex justify-content-start">
              <span class="text-center justify-content-center pt-2"><i class="pi pi-chart-bar"></i> ผลการประเมินจากโรงพยาบาลปลายทาง</span>
            </div>
          </div>
  
          <div class="col">
            <div class="flex justify-content-end">
              <span class="p-input-icon-right mr-3">
                <i class="pi pi-search"></i>
                <input pInputText class="p-inputtext-sm" type="text" (input)="dt.filterGlobal($event.target.value, 'contains')" placeholder="ค้นหา..HN,ชื่อ,รพ." />
              </span>
              <!-- <button type="button" pButton pRipple icon="pi pi-file-excel" (click)="reDraw()" class="p-button-success mr-2 p-1"  pTooltip="XLS" tooltipPosition="bottom"></button> -->
              <button type="button" pButton pRipple icon="pi pi-file-excel" (click)="exportExcel3()" class="p-button-success mr-2 p-1" pTooltip="XLS" tooltipPosition="bottom"></button>
              <button type="button" pButton pRipple icon="pi pi-file-pdf" (click)="exportPdf()" class="p-button-danger ml-2" pTooltip="PDF" tooltipPosition="bottom"></button>
            </div>
          </div>
        </div>
      </div>
      <div id="contenttagble" #contgenttable>
  
        <p-table #dt id="dt" class="mt-0" [value]="rowsData"[(selection)]="selectedRowsData" dataKey="id" responsiveLayout="scroll" styleClass="p-datatable-gridlines"
          [rowHover]="true" [rows]="100" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loading"
          [paginator]="true" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
          [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname','refer_no','cid']"
          paginatorPosition="bottom"  scrollHeight="{{scrollHeight}}"
          [virtualRowHeight]="6" frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)">
          <!-- <ng-template pTemplate="caption">
       
        </ng-template> -->
  
          <ng-template pTemplate="header">
  
            <tr>
              <th class="text-center" colspan="4">ข้อมูลทั่วไป</th>
              <th class="text-center" colspan="6">การดูแลขณะนำส่ง</th>
              <th class="text-center" colspan="3">#</th>
            </tr>
            <tr>
              <th class="text-center">เลขที่ส่งต่อ</th>
              <th class="text-center">เลขบัตรประชาชน</th>
              <th class="text-center">ชื่อ-สกุล</th>
              <th class="text-center">อายุ [ปี/เดือน/วัน]</th>
              <th class="text-center">ทางเดินหายใจ</th>
              <th class="text-center">การช่วยหายใจ</th>
              <th class="text-center">การห้ามเลือด</th>
              <th class="text-center">การให้สารน้ำ</th>
              <th class="text-center">การดาม</th>
              <th class="text-center">อื่นๆ</th>
              <th class="text-center">โรงพยาบาลที่ประเมิน</th>
              <th class="text-center">วันที่ประเมิน</th>
              <th class="text-center">พิมพ์</th>
            </tr>
  
          </ng-template>
          <ng-template
            pTemplate="body"
            ngFor
            let-item
  
            let-i="index">
            <tr class="p-selectable-row">
              <td class="p-column-title">
                {{ item.refer_no }}
              </td>
              <td class="p-column-title">
                {{ item.cid }}
              </td>
              <td class="p-column-title">
                {{ item.fullname }}
              </td>
              <td class="p-column-title">
                {{ item.age | thaiage}}
              </td>
              <td class="p-column-title">
                {{ item.answer_1 }}
              </td>
              <td class="p-column-title">
                {{ item.answer_2 }}
              </td>
              <td class="p-column-title">
                {{ item.answer_3 }}
              </td>
              <td class="p-column-title">
                {{ item.answer_4 }}
              </td>
              <td class="p-column-title">
                {{ item.answer_5 }}
              </td>
              <td class="p-column-title">
                {{ item.other_remark }}
              </td>
              <td class="p-column-title">
                {{ item.refer_hospcode }}
              </td>
              <td class="p-column-title">
                {{ item.create_date | thaidate:'short' }}
              </td>
              <td class="p-column-title">
                <!-- <button pButton pRipple type="button" icon="pi pi-trash-plus" ></button> -->
                <span class="p-inputgroup-addon"><i class="pi pi-print" style="line-height: 1.25;" (click)="onClickSssess(item)"></i></span>
              </td>
            </tr>
          </ng-template>
          <!-- <ng-template pTemplate="summary"> Footer<br /> </ng-template> -->
        </p-table>
      </div>
  
  
  
  
      <!-- </p-card> -->
    </p-card>
  </div>
  
  
  <p-table #dtTemp id="dtTemp" [value]="rowsDataTemp" [(selection)]="selectedRowsData" dataKey="id" styleClass="p-datatable-gridlines"
    [rowHover]="true" [rows]="100" [showCurrentPageReport]="true" [rowsPerPageOptions]="[10,25,50,100]" [loading]="loading"
    [paginator]="false" currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ"
    [filterDelay]="0" [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
    paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}"
    [virtualRowHeight]="6" [style]="ptableStyle"
    frozenColumns="10" selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)" [hidden]="true">
    <!-- <ng-template pTemplate="caption">
  
  </ng-template> -->
  
    <ng-template pTemplate="header">
  
      <tr>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1" colspan="5">ข้อมูลทั่วไป</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1" colspan="6">การดูแลขณะนำส่ง</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1" colspan="3">#</th>
      </tr>
      <tr>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">เลขที่ส่งต่อ</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">HN</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">VN</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">ชื่อ-สกุล</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">อายุ [ปี/เดือน/วัน]</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">ทางเดินหายใจ</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">การช่วยหายใจ</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">การห้ามเลือด</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">การให้สารน้ำ</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">การดาม</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">อื่นๆ</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">โรงพยาบาลที่ประเมิน</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">วันที่ประเมิน</th>
        <th class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">พิมพ์</th>
      </tr>
    </ng-template>
    <ng-template
      pTemplate="body"
      ngFor
      let-item
  
      let-i="index">
      <tr class="p-selectable-row" [pSelectableRowDblClick]="item">
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.refer_no }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.hn }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.vn }}
        </td>
        <td class=" pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.fullname }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.age | thaiage}}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.answer_1 }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.answer_2 }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.answer_3 }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.answer_4 }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.answer_5 }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.other_remark }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.refer_hospcode }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          {{ item.create_date | thaidate:'short' }}
        </td>
        <td class="text-center justify-content-center pt-2 pb-2 pr-1 pl-1 pr-1 pl-1">
          <!-- <button pButton pRipple type="button" icon="pi pi-trash-plus" ></button> -->
          <span class="p-inputgroup-addon"><i class="pi pi-print" style="line-height: 1.25;" (click)="onClickSssess(item)"></i></span>
        </td>
      </tr>
    </ng-template>
    <!-- <ng-template pTemplate="summary"> Footer<br /> </ng-template> -->
  </p-table>
  
  